<p align="center"><img src="https://laravel.com/assets/img/components/logo-laravel.svg"></p>

<p align="center">
<a href="https://travis-ci.org/laravel/framework"><img src="https://travis-ci.org/laravel/framework.svg" alt="Build Status"></a>
<a href="https://packagist.org/packages/laravel/framework"><img src="https://poser.pugx.org/laravel/framework/d/total.svg" alt="Total Downloads"></a>
<a href="https://packagist.org/packages/laravel/framework"><img src="https://poser.pugx.org/laravel/framework/v/stable.svg" alt="Latest Stable Version"></a>
<a href="https://packagist.org/packages/laravel/framework"><img src="https://poser.pugx.org/laravel/framework/license.svg" alt="License"></a>
</p>

## About Laravel

Laravel is a web application framework with expressive, elegant syntax. We believe development must be an enjoyable and creative experience to be truly fulfilling. Laravel attempts to take the pain out of development by easing common tasks used in the majority of web projects, such as:

- [Simple, fast routing engine](https://laravel.com/docs/routing).
- [Powerful dependency injection container](https://laravel.com/docs/container).
- Multiple back-ends for [session](https://laravel.com/docs/session) and [cache](https://laravel.com/docs/cache) storage.
- Expressive, intuitive [database ORM](https://laravel.com/docs/eloquent).
- Database agnostic [schema migrations](https://laravel.com/docs/migrations).
- [Robust background job processing](https://laravel.com/docs/queues).
- [Real-time event broadcasting](https://laravel.com/docs/broadcasting).

Laravel is accessible, yet powerful, providing tools needed for large, robust applications.

## Learning Laravel

Laravel has the most extensive and thorough [documentation](https://laravel.com/docs) and video tutorial library of any modern web application framework, making it a breeze to get started learning the framework.

If you're not in the mood to read, [Laracasts](https://laracasts.com) contains over 1100 video tutorials on a range of topics including Laravel, modern PHP, unit testing, JavaScript, and more. Boost the skill level of yourself and your entire team by digging into our comprehensive video library.

## Laravel Sponsors

We would like to extend our thanks to the following sponsors for helping fund on-going Laravel development. If you are interested in becoming a sponsor, please visit the Laravel [Patreon page](https://patreon.com/taylorotwell):

- **[Vehikl](https://vehikl.com/)**
- **[Tighten Co.](https://tighten.co)**
- **[Kirschbaum Development Group](https://kirschbaumdevelopment.com)**
- **[Cubet Techno Labs](https://cubettech.com)**
- **[British Software Development](https://www.britishsoftware.co)**
- [Fragrantica](https://www.fragrantica.com)
- [SOFTonSOFA](https://softonsofa.com/)
- [User10](https://user10.com)
- [Soumettre.fr](https://soumettre.fr/)
- [CodeBrisk](https://codebrisk.com)
- [1Forge](https://1forge.com)
- [TECPRESSO](https://tecpresso.co.jp/)
- [Runtime Converter](http://runtimeconverter.com/)
- [WebL'Agence](https://weblagence.com/)
- [Invoice Ninja](https://www.invoiceninja.com)

## Contributing

Thank you for considering contributing to the Laravel framework! The contribution guide can be found in the [Laravel documentation](https://laravel.com/docs/contributions).

## Security Vulnerabilities

If you discover a security vulnerability within Laravel, please send an e-mail to Taylor Otwell via [taylor@laravel.com](mailto:taylor@laravel.com). All security vulnerabilities will be promptly addressed.

## License

The Laravel framework is open-sourced software licensed under the [MIT license](https://opensource.org/licenses/MIT).


composer update

npm intall

Hay que poner npm run y lo siguiente para que corra los comandos
npm run watch

https://www.microsoft.com/web/downloads/platform.aspx

sudo apt-get install php-ldap -y

composer require adldap2/adldap2-laravel

https://laraveles.com/autenticacion-oauth-2-y-active-directory-laravel-5-1/
https://adldap2.github.io/Adldap2-Laravel/#/


servicio.airbus
Xbox_360


Se requiere ext-ldap
Instalar en windows ISS
sudo apt-get install php-ldap -y
  Problem 1
    - adldap2/adldap2-laravel v6.0.0 requires adldap2/adldap2 ^10.0 -> satisfiable by adldap2/adldap2[v10.0.0, v10.0.1, v10.0.2, v10.0.3, v10.0.4, v10.0.5, v10.0.6].
    - adldap2/adldap2-laravel v6.0.1 requires adldap2/adldap2 ^10.0 -> satisfiable by adldap2/adldap2[v10.0.0, v10.0.1, v10.0.2, v10.0.3, v10.0.4, v10.0.5, v10.0.6].
    - adldap2/adldap2-laravel v6.0.2 requires adldap2/adldap2 ^10.0 -> satisfiable by adldap2/adldap2[v10.0.0, v10.0.1, v10.0.2, v10.0.3, v10.0.4, v10.0.5, v10.0.6].
    - adldap2/adldap2 v10.0.6 requires ext-ldap * -> the requested PHP extension ldap is missing from your system.
    - adldap2/adldap2 v10.0.5 requires ext-ldap * -> the requested PHP extension ldap is missing from your system.
    - adldap2/adldap2 v10.0.4 requires ext-ldap * -> the requested PHP extension ldap is missing from your system.
    - adldap2/adldap2 v10.0.3 requires ext-ldap * -> the requested PHP extension ldap is missing from your system.
    - adldap2/adldap2 v10.0.2 requires ext-ldap * -> the requested PHP extension ldap is missing from your system.
    - adldap2/adldap2 v10.0.1 requires ext-ldap * -> the requested PHP extension ldap is missing from your system.
    - adldap2/adldap2 v10.0.0 requires ext-ldap * -> the requested PHP extension ldap is missing from your system.
    - Installation request for adldap2/adldap2-laravel ^6.0 -> satisfiable by adldap2/adldap2-laravel[v6.0.0, v6.0.1, v6.0.2].

  To enable extensions, verify that they are enabled in your .ini files:
    - C:\Program Files\iis express\PHP\v7.3\php.ini
  You can also run `php --ini` inside terminal to see which files are used by PHP in CLI mode.



  https://docs.microsoft.com/en-us/iis/application-frameworks/scenario-build-a-php-website-on-iis/configuring-step-2-configure-php-settings
